import { View, Text } from "react-native-ui-lib";
import React, { useState } from "react";
import SignUpPage from "./SignUpPage";
import SignInPage from "./SignInPage";
import { useSignUp } from "@/hooks/firebase/useSignUp";
import { StyleSheet } from "react-native";

const Entry = () => {
  const [isRegister, setIsRegister] = useState<boolean>(false);
  const { mutateAsync: signUp } = useSignUp();

  const setRegister = () => {
    setIsRegister(true);
  };
  const unsetRegister = () => {
    setIsRegister(false);
  };
  return (
    <View>
      {isRegister ? (
        <SignUpPage unsetRegister={unsetRegister} />
      ) : (
        <SignInPage setRegister={setRegister} />
      )}
    </View>
  );
};

export default Entry;
